Zonemaster::LDNS::RR::TXT(3pm)

NAME
Zonemaster::LDNS::RR::TXT - Type TXT record

DESCRIPTION
A subclass of Zonemaster::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

txtdata()
    Returns the concatenation of all the strings composing the data of the resource record.

    For example, if a TXT resource record has the following presentation format:

        txt.test.example. 3600 IN TXT "I " "am " "split up in " "lit" "tle pieces"

    then txtdata() returns the string "I am split up in little pieces".